Subject: Re: auto-merge after push?

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 15 Jul 2009 17:54:30 +0300

On Sun, Jul 12, 2009 at 02:30:44PM -0700, Junio C Hamano wrote:
> Johannes Schindelin <[email-masked]> writes:
> 
> > Well, I use it myself, what more can I say?
> 
> It's rather hard to justify a feature that is available to the general
> public with documentation that only says "we tell you what happens in
> terms of low-level commands when you use this feature, we warn you that
> this has its own set of possible complications, but we do not specify what
> they are, nor how to recover from them. You should know what you are doing
> if you choose to use it".
> 
> That is not very helpful.
> 
> If this _were_ implemented as a sample hook on the receiving end, with
> ample comments that the users can read to undersand the issues before
> deciding to install it on their repositories, it might have been an easier
> sell.
> 
> If Dscho is short on time, perhaps somebody else can improve upon the
> documentation part of the patch?  It's a long time ago that I took a look
> at the patch text itself but I had a recorrection that the code itself was
> reasonable (and it is a well known fact that I tend not to notice bugs in
> Dscho's code so it is not a very useful thing for me to go back to look at
> the code again now when I am short on brain cycles).
> 

So, let me summarize the issues:
- if the tree is pushed into while files are being actively read
  (e.g. built from), the build will get an inconsistent state
- even worse if one of the files is open for editing or is being written
  into: the file will get corrupted
- if there are uncommitted changes in the tree, the push is denied

Are there others?

-- 
MST